#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk

DESTDIR = $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR = $(DESTDIR)/$(OCAML_STDLIB_DIR)

FILES_TO_BACKUP = .depend config.status

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	for i in $(FILES_TO_BACKUP); do \
		cp -xa $$i $$i.debian; \
	done
	./configure

override_dh_auto_build:
	make BUILD_DATE="$(shell date -u -R -d @$(SOURCE_DATE_EPOCH))"

override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	make install

override_dh_auto_clean:
	rm -rf target/
	for i in $(FILES_TO_BACKUP); do \
		[ ! -f $$i.debian ] || mv $$i.debian $$i; \
	done
